# stream-contract.theme.yml — Back to the Future
# Familie: archive | Theme: back-to-the-future
# Erstellt: 2026-04-27 | Status: archive
# Norm: W3C DTCG Design Tokens + IIO ETL-Pipeline
# ---
meta:
  theme_family: archive
  theme_id: back-to-the-future
  version: 1.0.0
  source_key: bttf-brand-showcase-2026
  ip_review_gate: true
  status: archive
  language_channel: AGT
  note: Archiviertes Showcase-Theme, Retro-Stilistik
streams:
  raw_theme_back_to_the_future_v1:
    source: null
    source_key: bttf-brand-showcase-2026
    schema:
      color_palette: hex-set
      typography: css-font-stack
      layout_system: css-grid-definition
      components: css-class-map
  canonical_theme_back_to_the_future_v1:
    normalized_from: raw_theme_back_to_the_future_v1
    schema:
      design_tokens: w3c-dtcg-aligned
      component_library: normalized
      layout_primitives: css-custom-properties
      color_semantic_map: iio-token-system
      responsive_breakpoints:
      - 320
      - 768
      - 1200
      - 1920
transforms:
  back_to_the_future_source_to_canonical:
    input: raw_theme_back_to_the_future_v1
    output: canonical_theme_back_to_the_future_v1
    rules:
    - normalize_color_syntax: hex → rgb-var
    - abstract_typography: font-family → iio-token-name
    - map_layout_grid: source-grid → css-custom-properties
    - preserve_brand_source_trace: bttf-brand-showcase-2026
joins:
  theme_back_to_the_future_complete:
    inputs:
    - canonical_theme_back_to_the_future_v1
    purpose: Rendering-ready Back to the Future theme for IIO Manual
    output_schema:
      css_variables: iio-standardized
      component_specs: complete
      usage_guidelines: linked
evidence:
  ingestion_date: null
  ingested_by: null
  source_verified: false
  source_verified_at: null
  css_generated: false
  css_generated_at: null
  rg007_applicable: true
  rg007_evidence: null
